/* Generale */

html, body { height: 100%; }
body { font-family: 'Roboto', sans-serif; font-size: 16px; color: #222; background-color: #FFF;  }
h1, h2, h3, h4, h5 { font-family: 'Suez One', serif; font-size: 18px; }
h1 { font-size: 38px; }
h2 { font-size: 24px; color: #5e686f; }
h3 { font-size: 20px; color: #5e686f; }

/*
Bottoni
*/

.btn.btn-vivatis { color: #444; background-color: #12a19a; border-color: #0F8A84; color: #FFF; }
.btn.btn-vivatis:hover { background-color: #14B8AF; border-color: #12a19a; }
.btn.btn-grey { color: #444; background-color: #EEE; border-color: #DDD; }
.btn.btn-grey:hover { background-color: #DDD; border-color: #CCC; }

/*
Bottone Blink
*/

@keyframes pulse-animation {
  0% {
    background-color: #12a19a;
  }
  50% {
    background-color: #E6955B;
  }
  100% {
    background-color: #12a19a;
  }
}
.btn-blink { animation-name: pulse-animation; animation-duration: .7s; animation-iteration-count: infinite; }

/*
Evidenziatore
*/

.evid1 { background-color: #EEE; color: #111; }
.evid2 { background-color: #FF0; color: #111; }
.evid3 { background-color: #333; color: #FFF; }

/* Header */

.navbar { border-bottom: 1px solid #DDD; min-height: 70px; }
.navbar-brand img { height: 40px; width: auto; }
.nav-sidebar { display: block; }
@media (min-width: 992px) {
  .nav-sidebar { display: none; }
}

/* Navbar */

.content { padding-top: 70px; }
.sidebar { display: none; }
.sidebar ul { list-style: none; padding: 0; margin: 0; }
.sidebar ul li { line-height: 40px; border-bottom: 1px solid #4f585e; }
.sidebar ul li a { display: block; color: #FFF; text-decoration: none; padding: 0 10px; }
.sidebar ul li a:hover { color: #fff; background-color: #12a19a; }
@media (min-width: 992px) {
  .content { margin-left: 250px; }
  .sidebar { display: block; width: 250px; background-color: #5e686f; padding-top: 70px; position: fixed; top: 0; left: 0; height: 100vh; overflow-y: auto; }
}

/* Footer */

footer { border-top: 1px solid #DDD; padding: 20px 0; }
footer p { margin-bottom: 0; }

/* Login */

body.page-login { display: flex; align-items: center; justify-content: center; }
.page-login .card { background-color: #EEE; }

/* Tabelle */
.table thead th { background-color: #5e686f; color: #FFF; border: 0; }
.table-align-middle td { vertical-align: middle !important; }

/*
Autocomplete
*/

.ui-widget.ui-autocomplete { max-height: 300px; overflow-y: scroll; }

/*
Giudizio
*/

.giudizio {
  border: 1px solid #ccc;
  border-radius: 4px;
  background-color: #eee;
  margin: 20px 0;
  padding: 20px;
  color: #555;
}
.giudizio-valutazione > strong, .giudizio-valutazione > span {
  display: inline-block;
  padding: .5rem 1rem;
  font-size: 1.25rem;
  line-height: 1.5;
}
.giudizio-valutazione > strong {
  background-color: #e2e2e2;
  text-align: center;
}
.giudizio-valutazione > span {
  text-align: left;
}
.giudizio-1 > span {
  color: #ff0000;
}
.giudizio-2 > span {
  color: #ff9900;
}
.giudizio-3 > span {
  color: #ffff00;
}
.giudizio-4 > span {
  color: #006600;
}
.giudizio-5 > span {
  color: #006600;
}
